package meerkat.bulletinboard.workers.singleserver;

import meerkat.protobuf.BulletinBoardAPI.BeginBatchMessage;

import static meerkat.bulletinboard.BulletinBoardConstants.BEGIN_BATCH_PATH;

/**
 * Created by Arbel Deutsch Peled on 27-Dec-15.
 * Tries to contact server once and perform a post operation
 */
public class SingleServerBeginBatchWorker extends SingleServerGenericPostWorker<BeginBatchMessage> {

    public SingleServerBeginBatchWorker(String serverAddress, BeginBatchMessage payload, int maxRetry) {
        super(serverAddress, BEGIN_BATCH_PATH, payload, maxRetry);
    }

}
